Bug 611476 - Review Request: dhcp_probe - Tool for discover DHCP and BootP servers
Review Request: dhcp_probe - Tool for discover DHCP and BootP servers
Status: CLOSED DUPLICATE of bug 624833
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-05 08:06 EDT by Guillermo Gómez
Modified: 2013-10-19 10:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-18 03:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Guillermo Gómez 2010-07-05 08:06:26 EDT
Spec URL: http://gomix.fedorapeople.org/dhcp_probe/1.3.0-1/dhcp_probe.spec
SRPM URL: http://gomix.fedorapeople.org/dhcp_probe/1.3.0-1/dhcp_probe-1.3.0-1.fc13.src.rpm
Description: dchp_probe attempts to discover DHCP and BootP servers on a directly-attached Ethernet network.
A network administrator can use this tool to locate unauthorized DHCP and BootP servers.

$ rpmlint  -i SPECS/dhcp_probe.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint  -i SRPMS/dhcp_probe-1.3.0-1.fc13.src.rpm 
dhcp_probe.src: W: spelling-error %description -l en_US dchp -> dc hp, dc-hp, duchy
The value of this tag appears to be misspelled. Please double-check.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Randall "Randy" Berry 2010-07-06 04:19:49 EDT
I'm not a sponsor but I can tell you a few things just from looking at the source.

1) You misspelled dhcp in the description note its spelled dchp instead.

2) In the spec file the %files section the attributes should be %defattr(-,root,root,-) not %defattr(-,root,root)

3) I'm not too sure about the licensing of the source. It contains GPL licenses in the tar ball but also some of the source code contains the statements like "Copyright, ... All rights reserved". Perhaps there should be some clarification there.

Just a few thoughts as I pass by..
Comment 2 Guillermo Gómez 2010-07-06 10:10:35 EDT
Randall, thanks a lot for your comments, first two issues has been corrected.

spec : http://gomix.fedorapeople.org/dhcp_probe/1.3.0-2/dhcp_probe.spec
srpm : http://gomix.fedorapeople.org/dhcp_probe/1.3.0-2/dhcp_probe-1.3.0-2.fc13.src.rpm


$ rpmlint -i dhcp_probe-1.3.0-1.fc13.x86_64.rpm 
dhcp_probe.x86_64: W: spelling-error %description -l en_US dhcp -> dhow, Dhaka, dhoti
The value of this tag appears to be misspelled. Please double-check.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint -i SPECS/dhcp_probe.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 3 Terje Røsten 2010-07-08 02:53:37 EDT
Quick comments:
 - use version macro in source url
 - add -p to the install of dhcp_probe.cf
Comment 4 Guillermo Gómez 2010-07-11 08:45:45 EDT
(In reply to comment #3)
> Quick comments:
>  - use version macro in source url
done
>  - add -p to the install of dhcp_probe.cf    
done

thanks

srpm url: http://gomix.fedorapeople.org/dhcp_probe/1.3.0-3/dhcp_probe-1.3.0-3.fc13.src.rpm

spec url: http://gomix.fedorapeople.org/dhcp_probe/1.3.0-3/dhcp_probe.spec

$ rpmlint -i dhcp_probe-1.3.0-3.fc13.src.rpm dhcp_probe.spec 
dhcp_probe.src: W: spelling-error %description -l en_US dhcp -> dhow, Dhaka, dhoti
The value of this tag appears to be misspelled. Please double-check.

1 packages and 1 specfiles checked; 0 errors, 1 warnings.
Comment 5 Terje Røsten 2010-07-11 11:08:21 EDT
Please modify file listing to drop INSTALL and INSTALL.dhcp_probe and add AUTHORS, NEWS and TODO. Does it make sense to ship a init script?

koji is happy: http://koji.fedoraproject.org/koji/taskinfo?taskID=2311300
Comment 6 Guillermo Gómez 2010-07-12 08:15:03 EDT
(In reply to comment #5)
> Please modify file listing to drop INSTALL and INSTALL.dhcp_probe and add
> AUTHORS, NEWS and TODO. 

:) thanks for noticing, done

> Does it make sense to ship a init script?

hm, maybe, but still not yet there.

New spec and srpm

spec url: http://gomix.fedorapeople.org/dhcp_probe/1.3.0-4/dhcp_probe.spec
srpm url: http://gomix.fedorapeople.org/dhcp_probe/1.3.0-4/dhcp_probe-1.3.0-4.fc13.src.rpm

[gomix@movix 1.3.0-4]$ rpmlint -i dhcp_probe.spec dhcp_probe-1.3.0-4.fc13.src.rpm 
dhcp_probe.src: W: spelling-error %description -l en_US dhcp -> dhow, Dhaka, dhoti
The value of this tag appears to be misspelled. Please double-check.

1 packages and 1 specfiles checked; 0 errors, 1 warnings.
Comment 7 Guillermo Gómez 2010-08-05 18:53:22 EDT
abandoning this one, dont have the time...
Comment 8 Juan Manuel Rodriguez 2010-08-12 15:22:51 EDT
I'm opening the ticket because Daniel Bruno wants to work on it. He'll post the SPEC/SRPM to the package, and I'll continue the review.
Comment 9 Daniel Bruno 2010-08-12 15:38:55 EDT
I'm working on this package now.

SPEC URL: http://dbruno.fedorapeople.org/dhcp_probe/dhcp_probe.spec
SRPM URL: http://dbruno.fedorapeople.org/dhcp_probe/dhcp_probe-1.3.0-2.fc13.src.rpm

rpmlint -i rpmbuild/SPECS/dhcp_probe.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 10 Randall "Randy" Berry 2010-08-12 16:05:02 EDT
I believe at this point in the game since it has changed owners it would be easier just to close this bug and start another under the new owners account.
Comment 11 Terje Røsten 2010-08-18 03:45:27 EDT

*** This bug has been marked as a duplicate of bug 624833 ***

Note You need to log in before you can comment on or make changes to this bug.